For the complete documentation index, see llms.txt. This page is also available as Markdown.

Deployment Events

Post a deployment event to ilert.

post

Use the Deployment events API to integrate your CI & CD tools or custom deployment workflows with ilert. Create a new deployment pipeline to generate an integration key for this endpoint.

Body
integrationKeystringRequired
summarystringRequired
timestampinteger · int64Optional
userEmailstring · emailOptional

Optional email used to map the event to a specific user in ilert

versionstringOptional

Version of the deployed artifact, for example a semantic version.

environmentstringOptional

Environment the deployment targets, for example production.

commitstringOptional

Commit the deployment was built from.

repositorystringOptional

Repository the deployment originates from.

userNamestringOptional

Name of the user who triggered the deployment. Useful when userEmail is unavailable or anonymized.

Responses
202

The event has been accepted

post/deployment-events
POST /api/deployment-events HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 272

{
  "integrationKey": "text",
  "summary": "text",
  "timestamp": 1,
  "userEmail": "name@gmail.com",
  "customDetails": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "links": [
    {
      "href": "text",
      "text": "text"
    }
  ],
  "version": "text",
  "environment": "text",
  "commit": "text",
  "repository": "text",
  "userName": "text"
}
202

The event has been accepted

No content

Last updated

Was this helpful?